var day_data = new Array("today","tomorrow","dayaftertomorrow");
var day_text = new Array("今日","明日","明後日");

function setWeather () {
    for(i=0;i<3;i++){
        var url="http://weather.livedoor.com/forecast/webservice/rest/v1?city=103&day=" + day_data[i];
        var httpRequest = new XMLHttpRequest();
        httpRequest.open("GET", url, false);
        httpRequest.overrideMimeType("text/xml");
        httpRequest.setRequestHeader('Cache-Control', 'no-cache'); 
        httpRequest.send(null); 
        xml_responded(httpRequest,i);
    }
}

function findChild (element, nodeName){
	var child;
	
	for (child = element.firstChild; child != null; child = child.nextSibling){
		if (child.nodeName == nodeName) return child;
	}
	
	return null;
}

function xml_responded(request,elm) {
    var lwws = findChild(request.responseXML, "lwws");
    var city = findChild(lwws, "title").textContent;
    var day = findChild(lwws, "day").textContent;
    city = city.substring(0, city.indexOf("-"));
    var telop = findChild(lwws, "telop").textContent;
    var url = findChild(findChild(lwws, "image"),"url").textContent;
    var temp = findChild(lwws, "temperature");
    var max = findChild(findChild(temp, "max"),"celsius").textContent;
    var min = findChild(findChild(temp, "min"),"celsius").textContent;
    document.getElementById("city").innerText = city;
    document.getElementById("day" + elm).innerText = day;
    document.getElementById("image" + elm).src = url;
    document.getElementById("text" + elm).innerText = telop;
    document.getElementById("temp" + elm).innerText = max + " / " + min;
}
